
From: Steven Pratt <slpratt@austin.ibm.com>

We don't reset the cache hit count until after readahead does a successful
readahead.  This seems to leave a corner case open where we miss in cache,
but don't restart the readhead right away.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/readahead.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN mm/readahead.c~readahead-reset-cahe_hit-earlier mm/readahead.c
--- devel/mm/readahead.c~readahead-reset-cahe_hit-earlier	2005-08-03 21:52:59.000000000 -0700
+++ devel-akpm/mm/readahead.c	2005-08-03 21:52:59.000000000 -0700
@@ -540,6 +540,7 @@ void handle_ra_miss(struct address_space
 {
 	ra->flags |= RA_FLAG_MISS;
 	ra->flags &= ~RA_FLAG_INCACHE;
+	ra->cache_hit = 0;
 }
 
 /*
_
